package cn.ibizlab.core.extensions.service.impl;

import cn.ibizlab.core.extensions.service.WFCoreService;
import cn.ibizlab.core.workflow.domain.WFProcessDefinition;
import cn.ibizlab.core.workflow.service.impl.WFProcessDefinitionServiceImpl;
import cn.ibizlab.util.domain.FileItem;
import cn.ibizlab.util.service.FileService;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.io.File;
import java.util.List;

@Service
@Primary
public class WFProcessDefinitionServicePublishImpl extends WFProcessDefinitionServiceImpl
{
	@Override
	public boolean create(WFProcessDefinition et)
	{
		if(!super.create(et))
			return false;
		publish(et);
		return true;
	}

	@Override
	public boolean update(WFProcessDefinition et)
	{
		if(!super.update(et))
			return false;
		publish(et);
		return true;
	}

	@Autowired
	private FileService fileService;

	@Autowired
	@Lazy
	private WFCoreService wfCoreService;

	public void publish(WFProcessDefinition et)
	{
		if(StringUtils.isEmpty(et.getBpmnfile()))
			return;
		String oldMd5="";
		if(!StringUtils.isEmpty(et.getMd5check()))
			oldMd5=et.getMd5check();
		List<FileItem> items= JSONArray.parseArray(et.getBpmnfile(),FileItem.class);
		if(items.size()==0)
			return;
		FileItem item=items.get(items.size()-1);
		if(item.getId().equals(oldMd5))
			return;
		File bpmnFile=fileService.getFile(item.getId());
		if(!bpmnFile.exists())
			return;

		wfCoreService.wfdeploy(bpmnFile);
	}
}
